API Notes
face_swap replaces only the facial region. Use head_swap when the full head, including hair and contour, must be replaced
face_swap accepts only the documented fields under input[0].params. Unknown fields are rejected
face_swap is billed using the public model ID. The final charge is returned in the task usage object
Authentication
authorization string required
All APIs require authentication via Bearer Token.
Get API Key:
Visit API Key Management Page to get your API Key.
Usage:
Add to request header:
Authorization: Bearer YOUR_API_KEY
Parameters
model string required
Model ID used for the request
Value: face_swap
input array required
Input array. Provide one object and put model parameters under input[0].params
params
objectrequiredFace Swap parameters
image
stringrequiredTarget image whose facial region will be replaced. Supports an HTTP or HTTPS URL, or Base64-encoded image data
face_image
stringrequiredSource face image to place onto the target. Supports an HTTP or HTTPS URL, or Base64-encoded image data
seed
integerRandom seed. Use
0or omit the field for random generation
Polling
Since result generation takes time, you need to poll the task status after creating the task.
The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.
See the examples on the right for polling requests and responses.
Response Format
error object
Error information, only present when status is failed
code
stringError code
message
stringDetailed error message
output array
Generation results, only present when status is completed
content
arrayList of generated resource content
type
stringResource type
Value:
image|videourl
stringProcessed resource URL
jobId
stringRemote task ID
usage object
Usage statistics, only present when status is completed
cost
stringTotal cost in USD
discount
numberDiscount amount
metadata object
Metadata information